version: "3.5"

services:
  otel-collector:
    image: otel/opentelemetry-collector:latest
    command: ["--config=/etc/otel-collector-ci.yaml"]
    volumes:
      - ../otel-collector-ci.yaml:/etc/otel-collector-ci.yaml
    ports:
      #      - "1888:1888"   # pprof extension
      # It's useful to be able to manually inspect metrics during dev
      - "8888:8888" # Prometheus metrics exposed by the collector
      - "8889:8889" # Prometheus exporter metrics
      #      - "13133:13133" # health_check extension
      - "4317:4317" # OTLP gRPC receiver
      - "4318:4318" # OTLP HTTP receiver
    #      - "55679:55679" # zpages extension

  prometheus:
    container_name: prometheus
    image: prom/prometheus:latest
    volumes:
      - ../prometheus.yaml:/etc/prometheus/prometheus.yml
    ports:
      - "9090:9090"
